[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnlockResource

Unlock a previously locked resource

## Declaration

Source position: resh.inc line 75

`function UnlockResource(`
`ResData: TFPResourceHGLOBAL`
`):LongBool;`

## Description

UnlockResource unlocks a previously locked resource. Note that this function does not exist on windows, it's only needed on other platforms.

## Errors

The function returns False if it failed.

## See also

FindResource |  | Locate a resource and return a handle to it.
FreeResource |  | Free a loaded resource
SizeofResource |  | Return the size of a particular resource
LoadResource |  | Load a resource for use
lockResource |  | Lock a resource
FreeResource |  | Free a loaded resource